Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.rdbm
Interface IDatabaseMetadata

All Known Implementing Classes:
  DatabaseMetaDataImpl

    public interface IDatabaseMetadata

Version:
  $Revision: 1.1 $
Author:
  susan.bramhall@yale.edu

Method Summary
`IJoinQueryString` | `getJoinQuery()` Gets the appropriate `IJoinQueryString` implemenation for the database.
`java.lang.String` | `sqlTimeStamp()` SQL TimeStamp format of current time.
`java.lang.String` | `sqlTimeStamp(java.util.Date date)` SQL TimeStamp format a Date.
`java.lang.String` | `sqlTimeStamp(long date)` SQL TimeStamp format a long.
`boolean` | `supportsOuterJoins()` Returns `true` if the database server supports outer joins.
`boolean` | `supportsPreparedStatements()` Returns `true` if the database server supports prepared statements.
`boolean` | `supportsTransactions()` Returns `true` if the database server supports transactions.

Method Detail

### getJoinQuery

    IJoinQueryString getJoinQuery()

  Gets the appropriate `IJoinQueryString` implemenation for the database. If `supportsOuterJoins()` returns `false` this will return `null`.

  Returns:
    The appropriate `IJoinQueryString` implemenation.

### supportsOuterJoins

    boolean supportsOuterJoins()

  Returns `true` if the database server supports outer joins. The query to use if this returns `true` can be retrieved from the `getJoinQuery()` method.

  Returns:
    `true` if the server supports outer joins.

### supportsTransactions

    boolean supportsTransactions()

  Returns `true` if the database server supports transactions.

  Returns:
    `true` if the server supports transactions.

### supportsPreparedStatements

    boolean supportsPreparedStatements()

  Returns `true` if the database server supports prepared statements.

  Returns:
    `true` if the server supports prepared statements.

### sqlTimeStamp

    java.lang.String sqlTimeStamp()

  SQL TimeStamp format of current time.

  Returns:
    SQL TimeStamp of the current time.

### sqlTimeStamp

    java.lang.String sqlTimeStamp(long date)

  SQL TimeStamp format a long.

  Parameters:
    `date` - The time in milliseconds to format.
  Returns:
    SQL TimeStamp of the specified time.

### sqlTimeStamp

    java.lang.String sqlTimeStamp(java.util.Date date)

  SQL TimeStamp format a Date.

  Parameters:
    `date` - The date to format.
  Returns:
    SQL TimeStamp or "NULL" if date is null.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD